Skip to content

Checkr Trust API (1.0)

Checkr Trust is a modern, RESTful API-driven service designed to enhance trust and safety for your platform. The Checkr Trust API uses resource-oriented URLs, supports HTTPS for authentication and requests, and returns JSON responses.

The Checkr Trust API provides access to a rich set of data, including criminal records, traffic infractions, and registry checks. Once credentialed, you can start testing locally in minutes.

Intended Use Cases

Important: Checkr Trust is not a “consumer reporting agency” or otherwise a producer of “consumer reports,” as those terms are defined in the Fair Credit Reporting Act (“FCRA”). Checkr Trust data must not be accessed, obtained, disclosed, or otherwise used to make any decisions related to credit, insurance, employment, or any other purposes described in 15 U.S.C. § 1681b of FCRA

Download OpenAPI description
Overview
Languages
Servers
Mock server
https://api.docs.checkrtrust.com/_mock/v1
Checkr Trust API
https://api.checkrtrust.com/v1

Endpoints and operations having to do with accounts and authorization. Account creation and credentialing will be done with a Checkr Trust team member.

Operations

Instant Checks provide the resulting information relevant to the requested check for a set of PII. Checks will include the Check type and results.

Operations

Criminal Checks provide criminal record check results delivered asynchronously via webhook.

Operations

County Checks provide county-level criminal background check results for a specific jurisdiction. Results are retrieved from county court records and can be cancelled while in pending status.

Operations

Driver Checks provide the resulting information relevant to the requested driver license. The response will include the driver check type and results.

Operations

Identity Verifications provide the resulting information relevant to the requested verification for a set of PII. The response will include the IDV type and results.

Operations

Profiles represent a set of Personally Identifiable Information (PII) for a person who will be checked. Profiles can be updated with the latest information for a person and be referenced to generate checks.

Operations

Request

Create a new profile with personally identifiable information (PII).

The profile can include various identity fields (SSN, email, phone) which are used for identity verification and record matching in check products. The more identity fields provided, the better the matching and verification capabilities will be.

Security
get-bearer-token-using-oauth2
Query
includeArray of strings

include related resources in the response

Examples:

Including the checks parameter will embed the full check objects in place of the check_ids

include=checks
Bodyapplication/jsonrequired

The request body for creating a new profile

One of:

The request to create a new profile from a set of personally identifiable information (PII). At least one of the following must be provided in addition to first and last name - DOB, phone, email, address, or SSN. The more identity fields provided (SSN, email, phone), the better the matching and verification capabilities will be. These fields are used for additional identity verification and record matching in various check products.

Any of:

The object must have DOB.

first_namestringrequired

The first name of the person.

Example: "JOHN"
middle_namestring

The middle name of the person. Can be null if not provided.

Example: "ROBERT"
last_namestringrequired

The last name of the person.

Example: "SMITH"
dobstring(date_string_complete)= 8 characters\d{8}required

A date in the form YYYYMMDD.

Example: "19900101"
phonestring(phone_string)^\+[1-9]\d{1,14}$

A phone number in the form +[country code][number including area code]. (E.164 format)

Example: "+14155552671"
emailstring(email)(email_string)

An email address.

Example: "john.smith@example.com"
ssnstring(ssn_string)^\d{3}-?\d{2}-?\d{4}$

A US Social Security Number in XXX-XX-XXXX format. Hyphens are optional.

Example: "123-45-6789"
addressobject(address)

A physical address in the United States.

Example: {"street":"123 Main St","city":"San Francisco","state":"CA","zip_code":"94105"}
address.​streetstringrequired

The street address, including house/building number and street name. Apartment/unit numbers may be included but are not used for matching.

Example: "123 Main St"
address.​citystringrequired

The name of the city or municipality.

Example: "San Francisco"
address.​statestring(state_code)^[A-Z]{2}$required

The two-letter US state code where the address is located.

Example: "CA"
address.​zip_codestring(zip_code)^\d{5}(-\d{4})?$required

US Postal Service ZIP code (5-digit or 9-digit ZIP+4 format).

Example: "94105"
address.​countrystring(country_code)^[A-Z]{2}$

The two-letter country code, typically "US" for United States addresses.

custom_idstring(custom_id_string)^[a-zA-Z0-9_-]{1,64}$

An identifier of your choice, if you wish to use one. Limited to 64 alphanumeric characters, underscores, and hyphens.

Example: "employee-123"
curl -i -X POST \
  'https://api.docs.checkrtrust.com/_mock/v1/profiles?include=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "first_name": "JOHN",
    "middle_name": "ROBERT",
    "last_name": "SMITH",
    "dob": "19900101",
    "ssn": "123-45-6789",
    "email": "john.smith@example.com",
    "phone": "+14155552671",
    "address": {
      "street": "123 Main St",
      "city": "San Francisco",
      "state": "CA",
      "zip_code": "94105"
    },
    "custom_id": "employee-123"
  }'

Responses

Created

Bodyapplication/json
idstring(uuid)(profile_id)

Identifier of an existing profile containing search criteria.

first_namestring

The first name of the person.

middle_namestring

The middle name of the person. Can be null if not provided.

last_namestring

The last name of the person.

dobstring= 8 characters\d{8}

Date of birth in the form YYYYMMDD. Must be a valid date and cannot be in the future. If invalid, the API returns a 400 with a validation_error pointing to /dob.

Example: "19950401"
phonestring(phone_string)^\+[1-9]\d{1,14}$

A phone number in the form +[country code][number including area code]. (E.164 format)

emailstring(email)(email_string)

An email address.

ssnstring(ssn_string)^\d{3}-?\d{2}-?\d{4}$

A US Social Security Number in XXX-XX-XXXX format. Hyphens are optional.

addressobject(address)

A physical address in the United States.

address.​streetstringrequired

The street address, including house/building number and street name. Apartment/unit numbers may be included but are not used for matching.

Example: "123 Main St"
address.​citystringrequired

The name of the city or municipality.

Example: "Frankfort"
address.​statestring(state_code)^[A-Z]{2}$required

The two-letter US state code where the address is located.

address.​zip_codestring(zip_code)^\d{5}(-\d{4})?$required

US Postal Service ZIP code (5-digit or 9-digit ZIP+4 format).

address.​countrystring(country_code)^[A-Z]{2}$

The two-letter country code, typically "US" for United States addresses.

custom_idstring(custom_id_string)^[a-zA-Z0-9_-]{1,64}$

An identifier of your choice, if you wish to use one. Limited to 64 alphanumeric characters, underscores, and hyphens.

driver_license_statestring(state_code)^[A-Z]{2}$

A two-letter US state code.

driver_license_numberstring

The driver license number. Format dependent on State.

Example: "D1234567"
Response
application/json
{ "id": "2b8313e8-4efd-45a1-b578-952b8313e890", "first_name": "string", "middle_name": "string", "last_name": "string", "dob": "19950401", "phone": "+14155552671", "email": "john.doe@example.com", "ssn": "123-45-6789", "address": { "street": "123 Main St", "city": "Frankfort", "state": "CA", "zip_code": "94105", "country": "US" }, "custom_id": "my-custom-id-123", "driver_license_state": "CA", "driver_license_number": "D1234567" }

Request

Get a single profile with a given id

Security
get-bearer-token-using-oauth2
Path
profile_idstring(uuid)required

the uuid identifying the profile

Example: 2b8313e8-b578-45a1-4efd-952b8313e890
Query
includeArray of strings

include related resources in the response

Examples:

Including the checks parameter will embed the full check objects in place of the check_ids

include=checks
curl -i -X GET \
  'https://api.docs.checkrtrust.com/_mock/v1/profiles/2b8313e8-b578-45a1-4efd-952b8313e890?include=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

OK

Bodyapplication/json
idstring(uuid)(profile_id)

Identifier of an existing profile containing search criteria.

first_namestring

The first name of the person.

middle_namestring

The middle name of the person. Can be null if not provided.

last_namestring

The last name of the person.

dobstring= 8 characters\d{8}

Date of birth in the form YYYYMMDD. Must be a valid date and cannot be in the future. If invalid, the API returns a 400 with a validation_error pointing to /dob.

Example: "19950401"
phonestring(phone_string)^\+[1-9]\d{1,14}$

A phone number in the form +[country code][number including area code]. (E.164 format)

emailstring(email)(email_string)

An email address.

ssnstring(ssn_string)^\d{3}-?\d{2}-?\d{4}$

A US Social Security Number in XXX-XX-XXXX format. Hyphens are optional.

addressobject(address)

A physical address in the United States.

address.​streetstringrequired

The street address, including house/building number and street name. Apartment/unit numbers may be included but are not used for matching.

Example: "123 Main St"
address.​citystringrequired

The name of the city or municipality.

Example: "Frankfort"
address.​statestring(state_code)^[A-Z]{2}$required

The two-letter US state code where the address is located.

address.​zip_codestring(zip_code)^\d{5}(-\d{4})?$required

US Postal Service ZIP code (5-digit or 9-digit ZIP+4 format).

address.​countrystring(country_code)^[A-Z]{2}$

The two-letter country code, typically "US" for United States addresses.

custom_idstring(custom_id_string)^[a-zA-Z0-9_-]{1,64}$

An identifier of your choice, if you wish to use one. Limited to 64 alphanumeric characters, underscores, and hyphens.

driver_license_statestring(state_code)^[A-Z]{2}$

A two-letter US state code.

driver_license_numberstring

The driver license number. Format dependent on State.

Example: "D1234567"
Response
application/json
{ "id": "2b8313e8-4efd-45a1-b578-952b8313e890", "first_name": "string", "middle_name": "string", "last_name": "string", "dob": "19950401", "phone": "+14155552671", "email": "john.doe@example.com", "ssn": "123-45-6789", "address": { "street": "123 Main St", "city": "Frankfort", "state": "CA", "zip_code": "94105", "country": "US" }, "custom_id": "my-custom-id-123", "driver_license_state": "CA", "driver_license_number": "D1234567" }

Regulated Checks provide instant criminal record check results with legal annotation. Results include checks at the record, case, and charge levels indicating compliance with applicable legal rules. A permissible purpose is required for FCRA compliance.

Operations

Regulated Criminal Reports provide asynchronous criminal record check results with legal annotation. Results are delivered via webhook once processing is complete. A permissible purpose is required for Fair Credit Reporting Act (FCRA) compliance.

Operations